UniVerse 9.4 on AIX 4.3.2 
Author Message
 UniVerse 9.4 on AIX 4.3.2
Does anybody runs UniVerse 9.4 on AIX 4.3.2?

We have installed 9.5 and keep having huge data corruption problems.

Ardent tells us that 9.4 does not run on AIX 4.3.2 but only on 4.3.

It seems odd to me, as 4.3.2 does not look like a major upgrade from 4.3!

Thanks



Sun, 23 Dec 2001 03:00:00 GMT
 UniVerse 9.4 on AIX 4.3.2

Quote:

>Does anybody runs UniVerse 9.4 on AIX 4.3.2?

>We have installed 9.5 and keep having huge data corruption problems.

>Ardent tells us that 9.4 does not run on AIX 4.3.2 but only on 4.3.
>It seems odd to me, as 4.3.2 does not look like a major upgrade from 4.3!

>Thanks

Since we're about to upgrade to 4.3.2....   What type of files are you
having problems with?

thanks
Roger



Sun, 23 Dec 2001 03:00:00 GMT
 UniVerse 9.4 on AIX 4.3.2
Were you aware that fnuxi (format.conv) is broken in 9.5 and that it will
corrupt files?  We have had to funxi files targeted for different CPU
platforms on a 9.4 system and then move them to their target system.  Before
9.5 we had been moving the files to the target system and then running
fnuxi.  Not anymore!

Other than the problem with fnuxi we have not seen unexplained file
corruption problems with 9.5.

Kevin Sproule
Sr. Technical Consultant
Advanced FoodSystems

Quote:

>Does anybody runs UniVerse 9.4 on AIX 4.3.2?

>We have installed 9.5 and keep having huge data corruption problems.

>Ardent tells us that 9.4 does not run on AIX 4.3.2 but only on 4.3.

>It seems odd to me, as 4.3.2 does not look like a major upgrade from 4.3!

>Thanks



Sun, 23 Dec 2001 03:00:00 GMT
 UniVerse 9.4 on AIX 4.3.2
For no known reasons, files get corrupted and cannot get fixed with
uvfixfile.
Groups seems to be over the modulo size (!!??).
the only way to fix, is to resize or Universe COPY.

We had similar problems on other platforms running 9.5 and had to downgrade
to 9.4 and everything is fine now, but we have this particulat issue with
AIX.


Quote:




Quote:
> >Does anybody runs UniVerse 9.4 on AIX 4.3.2?

> >We have installed 9.5 and keep having huge data corruption problems.

> >Ardent tells us that 9.4 does not run on AIX 4.3.2 but only on 4.3.
> >It seems odd to me, as 4.3.2 does not look like a major upgrade from 4.3!

> >Thanks

> Since we're about to upgrade to 4.3.2....   What type of files are you
> having problems with?

> thanks
> Roger



Mon, 24 Dec 2001 03:00:00 GMT
 UniVerse 9.4 on AIX 4.3.2
I think that bug has been fixed, Kevin.  You might want to check with
support.  It had something to do with fnuxi 9.5 not always recognizing
"new style" padding under some circumstances.  A (ugly) work around is
to use fnuxi -6 to revert the file to old style record padding first.
Then copy to the other platform and fnuxi.  That will convert back to
new style padding and do the byte swap thingy.

Regards,

Clif

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
CLIFTON OLIVER & ASSOCIATES
Information Technology Consultants
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
W. Clifton Oliver, CCP
P.O. Box 712470, Santee, CA 92072-2470  USA
Telephone: (619) 596-0454
Website: www.oliver.com (includes PGP key)

On Wed, 7 Jul 1999 20:46:07 -0700, "Kevin M. Sproule"

Quote:

>Were you aware that fnuxi (format.conv) is broken in 9.5 and that it will
>corrupt files?  We have had to funxi files targeted for different CPU
>platforms on a 9.4 system and then move them to their target system.  Before
>9.5 we had been moving the files to the target system and then running
>fnuxi.  Not anymore!



Mon, 24 Dec 2001 03:00:00 GMT
 UniVerse 9.4 on AIX 4.3.2
We're on AIX 4.3.2 and UniVerse 9.5.1B and are sporadically getting
CORE_DUMPS. Very messy as locks are not released / cleaned up by the core
dumping process.

CRITICAL ERROR! Notify the system administrator. Abnormal termination of
UniVerse.
Fault type is 11.  Layer type is BASIC run machine. Fault occurred in BASIC
program OE1000 at address 110.
../.profile.cispub71[26]: 34488 Segmentation fault(coredump)

I've been working on this with Ardent since the middle of May. Anyone else
out there have this problem and maybe some clues about it?
Thanks.
ken
==========

Quote:

>I think that bug has been fixed, Kevin.  You might want to check with
>support.  It had something to do with fnuxi 9.5 not always recognizing
>"new style" padding under some circumstances.  A (ugly) work around is
>to use fnuxi -6 to revert the file to old style record padding first.
>Then copy to the other platform and fnuxi.  That will convert back to
>new style padding and do the byte swap thingy.

>Regards,

>Clif

>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>CLIFTON OLIVER & ASSOCIATES
>Information Technology Consultants
>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>W. Clifton Oliver, CCP
>P.O. Box 712470, Santee, CA 92072-2470  USA
>Telephone: (619) 596-0454
>Website: www.oliver.com (includes PGP key)

>On Wed, 7 Jul 1999 20:46:07 -0700, "Kevin M. Sproule"

>>Were you aware that fnuxi (format.conv) is broken in 9.5 and that it will
>>corrupt files?  We have had to funxi files targeted for different CPU
>>platforms on a 9.4 system and then move them to their target system.
Before
>>9.5 we had been moving the files to the target system and then running
>>fnuxi.  Not anymore!



Tue, 25 Dec 2001 03:00:00 GMT
 UniVerse 9.4 on AIX 4.3.2
Are you running UvNet to another machine on a different Uv Release as this
may be part of the cause??

Steve

Quote:
> We're on AIX 4.3.2 and UniVerse 9.5.1B and are sporadically getting
> CORE_DUMPS. Very messy as locks are not released / cleaned up by the core
> dumping process.

> CRITICAL ERROR! Notify the system administrator. Abnormal termination of
> UniVerse.
> Fault type is 11.  Layer type is BASIC run machine. Fault occurred in
BASIC
> program OE1000 at address 110.
> ../.profile.cispub71[26]: 34488 Segmentation fault(coredump)

> I've been working on this with Ardent since the middle of May. Anyone else
> out there have this problem and maybe some clues about it?
> Thanks.
> ken
> ==========

> >I think that bug has been fixed, Kevin.  You might want to check with
> >support.  It had something to do with fnuxi 9.5 not always recognizing
> >"new style" padding under some circumstances.  A (ugly) work around is
> >to use fnuxi -6 to revert the file to old style record padding first.
> >Then copy to the other platform and fnuxi.  That will convert back to
> >new style padding and do the byte swap thingy.

> >Regards,

> >Clif

> >~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >CLIFTON OLIVER & ASSOCIATES
> >Information Technology Consultants
> >~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >W. Clifton Oliver, CCP
> >P.O. Box 712470, Santee, CA 92072-2470  USA
> >Telephone: (619) 596-0454
> >Website: www.oliver.com (includes PGP key)

> >On Wed, 7 Jul 1999 20:46:07 -0700, "Kevin M. Sproule"

> >>Were you aware that fnuxi (format.conv) is broken in 9.5 and that it
will
> >>corrupt files?  We have had to funxi files targeted for different CPU
> >>platforms on a 9.4 system and then move them to their target system.
> Before
> >>9.5 we had been moving the files to the target system and then running
> >>fnuxi.  Not anymore!



Fri, 28 Dec 2001 03:00:00 GMT
 
 [ 7 post ] 

 Relevant Pages 

1. Problem W/ UniVerse Obejcts and Windows 2000 Server (UniVerse 9.4 for NT)

2. Informix Universe 9.4

3. Getting started in Universe 9.4, Tcl

4. UniVerse 9.4 SSELECT bug?

5. uniVerse 9.4

6. Universe NT upgrade from 9.4 to 9.5.1.1

7. Universe 9.4 for Windows NT

8. Universe 9.4 Available on NT

9. Upgrading from 9.4.*** to 9.5.*** of Universe

10. UniVerse NT 9.4 Spooling query

11. ODBC - Access to uniVerse 9.4

12. Installing Informix 9.4 IDS on AIX Bombed out with this error


 
Powered by phpBB® Forum Software